CREATE TABLE ben_wv_prtn_rsn_pl_f (
    WV_PRTN_RSN_PL_ID        NUMBER(18, 0),
    EFFECTIVE_START_DATE     DATE         ,
    EFFECTIVE_END_DATE       DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    PL_ID                    NUMBER(18, 0)    NOT NULL,
    DFLT_FLAG                VARCHAR2(120)    NOT NULL,
    WV_PRTN_RSN_CD           VARCHAR2(120),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    WV_PRTN_RSN_PL_ID        NUMBER(18, 0),
    EFFECTIVE_START_DATE     DATE         ,
    EFFECTIVE_END_DATE       DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    PL_ID                    NUMBER(18, 0)    NOT NULL,
    DFLT_FLAG                VARCHAR2(120)    NOT NULL,
    WV_PRTN_RSN_CD           VARCHAR2(120),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_wv_prtn_rsn_pl_f PRIMARY KEY (WV_PRTN_RSN_PL_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, WV_PRTN_RSN_PL_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
